Public Attributes | List of all members
gap_adv_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising parameters for legacy advertising. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | adv_mode
| Advertising mode (see enum gap_adv_mode_t). More...
uint8_t | disc_mode
| Discovery mode (see enum gap_disc_mode_t). More...
uint8_t | filter_pol
| Advertising filtering policy (see enum gap_adv_filter_policy_t). More...
gap_bdaddr_t | peer_addr
| Peer address configuration (only used in case of directed advertising, or used to locate the IRK list). More...
uint16_t | adv_intv_min
| Minimum advertising interval (in unit of 625 us). More...
uint16_t | adv_intv_max
| Maximum advertising interval (in unit of 625 us). More...
uint8_t | chnl_map
| Advertising channel map. More...
bool | scan_req_ind_en
| Indicate if the application should be informed when receiving a scan request from the scanner. More...
int8_t | max_tx_pwr
| Maximum power level at which the advertising packets have to be transmitted (between -20dbm and 7dbm). More...

## Detailed Description

Advertising parameters for legacy advertising.

Definition at line 517 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_intv_max

uint16_t gap_adv_param_t::adv_intv_max

Maximum advertising interval (in unit of 625 us).

Must be greater than 20 ms.

Definition at line 524 of file ble_gapm.h.

## ◆ adv_intv_min

uint16_t gap_adv_param_t::adv_intv_min

Minimum advertising interval (in unit of 625 us).

Must be greater than 20 ms.

Definition at line 523 of file ble_gapm.h.

## ◆ adv_mode

uint8_t gap_adv_param_t::adv_mode

Advertising mode (see enum gap_adv_mode_t).

Definition at line 519 of file ble_gapm.h.

## ◆ chnl_map

uint8_t gap_adv_param_t::chnl_map

Advertising channel map.

See GAP ADV CHANNEL (bitmask).

Definition at line 525 of file ble_gapm.h.

## ◆ disc_mode

uint8_t gap_adv_param_t::disc_mode

Discovery mode (see enum gap_disc_mode_t).

Definition at line 520 of file ble_gapm.h.

## ◆ filter_pol

uint8_t gap_adv_param_t::filter_pol

Advertising filtering policy (see enum gap_adv_filter_policy_t).

Definition at line 521 of file ble_gapm.h.

## ◆ max_tx_pwr

int8_t gap_adv_param_t::max_tx_pwr

Maximum power level at which the advertising packets have to be transmitted (between -20dbm and 7dbm).

For the real value, please refer to GR551x Datasheet.

Definition at line 527 of file ble_gapm.h.

## ◆ peer_addr

gap_bdaddr_t gap_adv_param_t::peer_addr

Peer address configuration (only used in case of directed advertising, or used to locate the IRK list).

Definition at line 522 of file ble_gapm.h.

## ◆ scan_req_ind_en

bool gap_adv_param_t::scan_req_ind_en

Indicate if the application should be informed when receiving a scan request from the scanner.

Definition at line 526 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h